"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const mongocluster_1 = require("./mongocluster");
const os_1 = __importDefault(require("os"));
(async function () {
    const argv = await yargs_1.default
        .version(false)
        .option('topology', {
        alias: 't',
        choices: ['standalone', 'replset', 'sharded'],
        default: 'standalone',
    })
        .option('arbiters', {
        type: 'number',
    })
        .option('secondaries', { type: 'number' })
        .option('shards', { type: 'number' })
        .option('version', { type: 'string' })
        .option('logDir', { type: 'string' })
        .option('binDir', { type: 'string' })
        .option('tmpDir', { type: 'string', default: os_1.default.tmpdir() })
        .option('docker', { type: 'string' })
        .help().argv;
    await mongocluster_1.MongoCluster.start({
        ...argv,
        args: argv._.map(String),
    });
})().catch((err) => {
    process.nextTick(() => {
        throw err;
    });
});
//# sourceMappingURL=cli.js.map